Package com.castlabs.sdk.debug.view

# Class PlayerStatsFragment

java.lang.Object
androidx.fragment.app.Fragment
com.castlabs.sdk.debug.view.AbstractSingleListFragment<com.castlabs.sdk.debug.view.PlayerStatsFragment.Metric>
com.castlabs.sdk.debug.view.PlayerStatsFragment

All Implemented Interfaces:
  `ComponentCallbacks`, `View.OnCreateContextMenuListener`, `androidx.activity.result.ActivityResultCaller`, `androidx.lifecycle.HasDefaultViewModelProviderFactory`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `androidx.savedstate.SavedStateRegistryOwner`, `ExtendedPlayerViewProvider.Listener`

public class PlayerStatsFragment extends AbstractSingleListFragment<com.castlabs.sdk.debug.view.PlayerStatsFragment.Metric>
Fragment that displays real-time statistics and metrics about the video playback session. This includes QoE (Quality of Experience) scores, buffering statistics, bitrate information, and other playback-related metrics.

Note that activities using this Fragment must implement `ExtendedPlayerViewProvider`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

  `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ABR_SWITCHES`
  The number of rendition switches metric name
  `static final String`
  `AVG_BITRATE`
  The average bitrate metric name
  `static final String`
  `AVG_BITRATE_SWITCH_MAGNITUDE`
  The average bitrate switch magnitude metric name
  `static final String`
  `BUFFER_SIZE`
  The current buffer size metric name
  `static final String`
  `BUFFER_TIME`
  The current buffer time metric name
  `static final String`
  `BUFFERING_TIME`
  The buffering time metric name
  `static final String`
  `LAST_BUFFER_TIME`
  The last buffering time metric name
  `static final String`
  `QOE_SCORE`
  The QoE (Quality of Experience) score metric name
  `static final String`
  `REBUFFER_PERCENTAGE`
  The rebuffer percentage metric name
  `static final String`
  `SCORE_BITRATE`
  The bitrate score metric name
  `static final String`
  `SCORE_MAGNITUDE`
  The magnitude score metric name
  `static final String`
  `SCORE_REBUFFER`
  The rebuffer score metric name
  `static final String`
  `SCORE_SWITCH`
  The switch score metric name
  `static final String`
  `SEEKING_TIME`
  The seeking time metric name
  `static final String`
  `START_TIME`
  The start time metric name
  `static final String`
  `STATE`
  The player state metric name
  `static final String`
  `UNDERRUNS`
  The rebuffer events metric name
  `static final String`
  `VIDEO_CODEC`
  The video codec metric name
  `static final String`
  `VIDEO_CODEC_INIT`
  The codec initialization time metric name

  ### Fields inherited from class androidx.fragment.app.Fragment

  `mPreviousWho`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlayerStatsFragment()`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onStart()`
  `void`
  `onStop()`

  ### Methods inherited from class com.castlabs.sdk.debug.view.AbstractSingleListFragment

  `onCreateView, onReload`

  ### Methods inherited from class androidx.fragment.app.Fragment

  `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getDefaultViewModelCreationExtras, getDefaultViewModelProviderFactory, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getParentFragmentManager, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onViewCreated, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForActivityResult, registerForActivityResult, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### QOE_SCORE

    public static final String QOE_SCORE
    The QoE (Quality of Experience) score metric name
    See Also:
      - Constant Field Values

  - ### ABR_SWITCHES

    public static final String ABR_SWITCHES
    The number of rendition switches metric name
    See Also:
      - Constant Field Values

  - ### BUFFER_TIME

    public static final String BUFFER_TIME
    The current buffer time metric name
    See Also:
      - Constant Field Values

  - ### BUFFER_SIZE

    public static final String BUFFER_SIZE
    The current buffer size metric name
    See Also:
      - Constant Field Values

  - ### LAST_BUFFER_TIME

    public static final String LAST_BUFFER_TIME
    The last buffering time metric name
    See Also:
      - Constant Field Values

  - ### SEEKING_TIME

    public static final String SEEKING_TIME
    The seeking time metric name
    See Also:
      - Constant Field Values

  - ### BUFFERING_TIME

    public static final String BUFFERING_TIME
    The buffering time metric name
    See Also:
      - Constant Field Values

  - ### STATE

    public static final String STATE
    The player state metric name
    See Also:
      - Constant Field Values

  - ### VIDEO_CODEC

    public static final String VIDEO_CODEC
    The video codec metric name
    See Also:
      - Constant Field Values

  - ### VIDEO_CODEC_INIT

    public static final String VIDEO_CODEC_INIT
    The codec initialization time metric name
    See Also:
      - Constant Field Values

  - ### UNDERRUNS

    public static final String UNDERRUNS
    The rebuffer events metric name
    See Also:
      - Constant Field Values

  - ### START_TIME

    public static final String START_TIME
    The start time metric name
    See Also:
      - Constant Field Values

  - ### REBUFFER_PERCENTAGE

    public static final String REBUFFER_PERCENTAGE
    The rebuffer percentage metric name
    See Also:
      - Constant Field Values

  - ### AVG_BITRATE

    public static final String AVG_BITRATE
    The average bitrate metric name
    See Also:
      - Constant Field Values

  - ### AVG_BITRATE_SWITCH_MAGNITUDE

    public static final String AVG_BITRATE_SWITCH_MAGNITUDE
    The average bitrate switch magnitude metric name
    See Also:
      - Constant Field Values

  - ### SCORE_BITRATE

    public static final String SCORE_BITRATE
    The bitrate score metric name
    See Also:
      - Constant Field Values

  - ### SCORE_REBUFFER

    public static final String SCORE_REBUFFER
    The rebuffer score metric name
    See Also:
      - Constant Field Values

  - ### SCORE_SWITCH

    public static final String SCORE_SWITCH
    The switch score metric name
    See Also:
      - Constant Field Values

  - ### SCORE_MAGNITUDE

    public static final String SCORE_MAGNITUDE
    The magnitude score metric name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PlayerStatsFragment

    public PlayerStatsFragment()
    Default constructor

- ## Method Details

  - ### onStart

    public void onStart()
    Overrides:
      `onStart` in class `AbstractSingleListFragment<com.castlabs.sdk.debug.view.PlayerStatsFragment.Metric>`

  - ### onStop

    public void onStop()
    Overrides:
      `onStop` in class `androidx.fragment.app.Fragment`